Package org.eclipse.net4j.db.ddl

## Enum IDBSchemaElement.SchemaElementType

- java.lang.Object
- - java.lang.Enum<IDBSchemaElement.SchemaElementType>
  - - org.eclipse.net4j.db.ddl.IDBSchemaElement.SchemaElementType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IDBSchemaElement.SchemaElementType>`
  Enclosing interface:
    IDBSchemaElement

      public static enum IDBSchemaElement.SchemaElementType
      extends java.lang.Enum<IDBSchemaElement.SchemaElementType>

  Since:
    4.2
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIELD` |
    `INDEX` |
    `INDEX_FIELD` |
    `SCHEMA` |
    `TABLE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLevel()` |
    `static IDBSchemaElement.SchemaElementType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IDBSchemaElement.SchemaElementType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCHEMA

          public static final IDBSchemaElement.SchemaElementType SCHEMA

    - #### TABLE

          public static final IDBSchemaElement.SchemaElementType TABLE

    - #### FIELD

          public static final IDBSchemaElement.SchemaElementType FIELD

    - #### INDEX

          public static final IDBSchemaElement.SchemaElementType INDEX

    - #### INDEX_FIELD

          public static final IDBSchemaElement.SchemaElementType INDEX_FIELD

  - ### Method Detail

    - #### values

          public static IDBSchemaElement.SchemaElementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDBSchemaElement.SchemaElementType c : IDBSchemaElement.SchemaElementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDBSchemaElement.SchemaElementType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLevel

          public int getLevel()